﻿Type=Service
Version=1.60
StartAtBoot=False
@EndOfDesignText@
'Service module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim hc As HttpClient
	Dim target As OutputStream
	Dim rv As RemoteViews
	Dim fileimage As String
	Dim image1 As Bitmap	
	Dim image2 As Bitmap
	Dim out As OutputStream
	Dim extension As String
	
End Sub
Sub Service_Create
	' Configure the homescreen widget. We let it update every 2 hours here. This is
	' normally not necessary but I want to be sure that the clock restarts if there
	' is any problem.
	
	rv = ConfigureHomeWidget("widgetSDJ", "rv", 120, "image du jour")
	hc.Initialize("hc")
	
End Sub

Sub Service_Start (StartingIntent As Intent)

	Log("*********************************")
	Log(StartingIntent.Action)
	Log(rv.HandleWidgetEvents(StartingIntent))
	Log("*********************************")

	If rv.HandleWidgetEvents(StartingIntent) Then Return
	
End Sub

Sub rv_RequestUpdate
	Log("////////rv_RequestUpdate\\\\\\\\\\\\")
	rv.UpdateWidget
End Sub

Sub rv_Disabled
	' If all widgets are removed from homescreen cancel the next schedule and
	' stop the service
	Log("//////////rv_Disabled\\\\\\\\\\\")
	CancelScheduledService("")
	StopService("")
End Sub

Sub Service_Destroy

End Sub


Sub ImageView1_Click
	code.CallServer("http://www.seindujour.fr/",0)
	ToastMessageShow("ImageView1_Click", True)
End Sub 

Sub Panel2_Click
	rv.SetImage( "imageview1",image1)
	rv.UpdateWidget 
	ToastMessageShow("Panel2_Click", True)
End Sub 


Sub TimeToNextMinute As Long
	Dim ret As Long

	DateTime.TimeFormat = "HH:mm:ss"

'	ret=DateTime.TimeParse("10:00:00")
'	Log(DateTime.Time(ret))
'	Log(DateTime.date(ret))
'	
'	ret = (ret + DateTime.TicksPerDay)
'	
'	Log(DateTime.Time(ret))
'	Log(DateTime.date(ret))
	
	ret=DateTime.Now+(DateTime.TicksPerMinute*2)
	Return ret
End Sub

Sub HC_ResponseSuccess (Response As HttpResponse, TaskId As Int)
	Log("Success"&TaskId)
	Dim index1 As Int
	Dim index2 As Int 
	Dim urlcomplete As String
	Dim urlsearch As String
	Dim head As String 
	
	Select taskid
		Case 0
			head=response.GetString("UTF8")
			urlsearch="http://www.seindujour.fr/sites/default/files/imagecache/display-full/"
			
		
			Log(head.Length)
			index1=head.IndexOf(urlsearch)
			Log(index1)
			index2=head.IndexOf2(QUOTE,index1)
			
			Log(index2)
			urlcomplete=head.SubString2(index1,index2)
			Log(urlcomplete)
			
			index1=urlcomplete.LastIndexOf(".")
			extension=urlcomplete.SubString(index1+1)
			If index1>0 AND index2>0 Then
				code.callserver(urlcomplete,1)
			End If
	
		Case 1
			If extension.EqualsIgnoreCase("png") Then
				fileimage="image.png"
			Else If extension.EqualsIgnoreCase("jpg") Then
				fileimage="image.jpg"
			End If 
			
			Target = File.OpenOutput(File.DirInternal, fileimage, False)
			Response.GetAsynchronously("Response", Target, True, TaskId)
		
	End Select 	
End Sub 

Sub HC_ResponseError (Response As HttpResponse, Reason As String, StatusCode As Int, TaskId As Int)
	Log("erreur")
	Log(reason)
	Log("ResponseError"&TaskId)

End Sub

Sub Response_StreamFinish (Success As Boolean, TaskId As Int)

		If Success = False Then
			ToastMessageShow("Error downloading file: " & LastException.Message, True)
			Log("StreamFinish erreur"&TaskId)
		Else
		

			Log("StreamFinish succes"&TaskId)
			
			Log(File.DirInternal & "/" & fileimage)
			Log(File.DirRootExternal & "/copyimage."& extension)

			image1=LoadBitmap(File.DirInternal, fileimage)
			File.Copy(File.DirInternal, fileimage,File.DirRootExternal,"copyimage."& extension)
			rv.SetImage( "imageview1",image1)
			rv.UpdateWidget 					
			
		End If
	
End Sub